viralquery
Api referencev1/events

List the calling key's recent usage events

GET
/v1/events

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Query Parameters

limit?number|null

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/events"
{
  "events": [
    {
      "op": "string",
      "costCents": 0,
      "status": "string",
      "ts": 0
    }
  ]
}
{
  "error": "unauthorized",
  "message": "string",
  "signupUrl": "string"
}
{
  "error": "forbidden",
  "message": "string",
  "requiredScope": "string",
  "grantedScopes": [
    "string"
  ]
}
{
  "error": "upstream_error",
  "message": "string",
  "retryable": true
}
{
  "error": "rate_limited",
  "message": "string",
  "retryAfter": 0
}
{
  "error": "upstream_error",
  "message": "string",
  "retryable": true
}
{
  "error": "upstream_error",
  "message": "string",
  "retryable": true
}